function  out = rU_bisection_IandPA_to_Ru(constant,target,policy,model,experiment)

global hrs disimm rel_rho R0 lambda rel_lambda
global Pop ini_inf T_years  T  d_vaccine  rel_prod_Q
global sigma gamma tau psi d_conv V_false_neg S_false_neg


if strcmp(constant,'Deaths')
tol       = 100;
iter_max  = 50 ;
end


rU_ub        = 1;
rU_lb        = 0;
rU_guess     = 0.5*(rU_ub + rU_lb);

policy.rU_exp    = rU_guess;

for iter = (1:iter_max)

display(experiment)
display(iter)
display(policy.rU_exp)
[Reported_D,Notinfected_D,Unreported_D,Infected_D,Recovered_D,Dead_D,Infected_T,Y_D,Y_T,M_T,A_daily,Pt,number_tests_D,Rt_D,RtC,rU_D] =corona_func_IandPA_to_Ru(policy,model,experiment);

if strcmp(constant,'Deaths')
object = Dead_D(d_conv);
end

dist   = abs(object-target) ;
display(dist)

if (dist < tol)
        break;
end

if (object > target)      % if deaths too high, release less, bring down upper bound      
    rU_ub    = rU_guess;
elseif (object < target)  % if deaths too low, release more, bring up lower bound
    rU_lb    = rU_guess;      
end
    
rU_guess      = 0.5*(rU_lb + rU_ub);
policy.rU_exp     = rU_guess;
% diagnostics
non_converge  = iter == iter_max;
iterations    = iter ;

end



% output
out.bisection.nonconverge = non_converge;
out.bisection.iterations  = iterations ;
out.bisection.dist        = dist;
out.rU                    = policy.rU_exp ;
out.exp.Reported_D        = Reported_D ;
out.exp.Notinfected_D     = Notinfected_D;
out.exp.Unreported_D      = Unreported_D;
out.exp.Infected_D        = Infected_D;
out.exp.Recovered_D       = Recovered_D;
out.exp.Dead_D            = Dead_D;
out.exp.Infected_T        = Infected_T;
out.exp.Y_D               = Y_D;
out.exp.Y_T               = Y_T;
out.exp.M_T               = M_T;
out.exp.A_daily           = A_daily;
out.exp.Pt                = Pt;
out.exp.number_tests_D    = number_tests_D;
out.exp.Rt_D              = Rt_D;
out.exp.MQ_D              = sum(M_T([2,4,5,6,8,9,11]',A_daily));


